# VehicleSettings Struct Reference

Settings related to vehicles. More...

`#include <settings_type.h>`

## Data Fields
bool | mammoth_trains
| allow very long trains
uint8 | train_acceleration_model
| realistic acceleration for trains
bool | wagon_speed_limits
| enable wagon speed limits
bool | disable_elrails
| when true, the elrails are disabled
UnitID | max_trains
| max trains in game per company
UnitID | max_roadveh
| max trucks in game per company
UnitID | max_aircraft
| max planes in game per company
UnitID | max_ships
| max ships in game per company
bool | servint_ispercent
| service intervals are in percents
uint16 | servint_trains
| service interval for trains
uint16 | servint_roadveh
| service interval for road vehicles
uint16 | servint_aircraft
| service interval for aircraft
uint16 | servint_ships
| service interval for ships
uint8 | plane_speed
| divisor for speed of aircraft
uint8 | freight_trains
| value to multiply the weight of cargo by
bool | dynamic_engines
| enable dynamic allocation of engine data
bool | never_expire_vehicles
| never expire vehicles
byte | extend_vehicle_life
| extend vehicle life by this many years
byte | road_side
| the side of the road vehicles drive on

## Detailed Description

Settings related to vehicles.

Definition at line 288 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h